[pkg-wpa-devel] r857 - in /hostapd/trunk/debian: changelog control ifupdown.sh

paravoid at users.alioth.debian.org paravoid at users.alioth.debian.org
Sun Jul 22 18:19:40 UTC 2007


Author: paravoid
Date: Sun Jul 22 18:19:39 2007
New Revision: 857

URL: http://svn.debian.org/wsvn/pkg-wpa/?sc=1&rev=857
Log:
* Handle madwifi bridges correctly. Thanks to Elmar Hoffmann for the patch.
  (Closes: #427724)
* Add bridge-utils (brctl) to Suggests since we conditionally using it.

Modified:
    hostapd/trunk/debian/changelog
    hostapd/trunk/debian/control
    hostapd/trunk/debian/ifupdown.sh

Modified: hostapd/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-wpa/hostapd/trunk/debian/changelog?rev=857&op=diff
==============================================================================
--- hostapd/trunk/debian/changelog (original)
+++ hostapd/trunk/debian/changelog Sun Jul 22 18:19:39 2007
@@ -6,8 +6,11 @@
   [ Faidon Liambotis ]
   * Include Devicescape/mac80211 driver. Highly experimental at this point.
     (Closes: #429734)
-
- -- Faidon Liambotis <paravoid at debian.org>  Sun, 22 Jul 2007 20:59:29 +0300
+  * Handle madwifi bridges correctly. Thanks to Elmar Hoffmann for the patch.
+    (Closes: #427724)
+  * Add bridge-utils (brctl) to Suggests since we conditionally using it.
+
+ -- Faidon Liambotis <paravoid at debian.org>  Sun, 22 Jul 2007 21:19:06 +0300
 
 hostapd (1:0.5.7-1) unstable; urgency=low
 

Modified: hostapd/trunk/debian/control
URL: http://svn.debian.org/wsvn/pkg-wpa/hostapd/trunk/debian/control?rev=857&op=diff
==============================================================================
--- hostapd/trunk/debian/control (original)
+++ hostapd/trunk/debian/control Sun Jul 22 18:19:39 2007
@@ -11,6 +11,7 @@
 Package: hostapd
 Architecture: any
 Depends: ${shlibs:Depends}, lsb-base (>= 3.0-3)
+Suggests: bridge-utils
 Description: user space IEEE 802.11 AP and IEEE 802.1X/WPA/WPA2/EAP Authenticator
  Originally, hostapd was an optional user space component for Host AP
  driver. It adds more features to the basic IEEE 802.11 management

Modified: hostapd/trunk/debian/ifupdown.sh
URL: http://svn.debian.org/wsvn/pkg-wpa/hostapd/trunk/debian/ifupdown.sh?rev=857&op=diff
==============================================================================
--- hostapd/trunk/debian/ifupdown.sh (original)
+++ hostapd/trunk/debian/ifupdown.sh Sun Jul 22 18:19:39 2007
@@ -94,11 +94,28 @@
 	fi
 }
 
+setup_bridge () {
+	if [ ! -x /usr/sbin/brctl ]; then
+		return 1
+	fi
+	if grep -q '^driver=madwifi' "$HOSTAPD_CONF"; then
+		local BRIDGE
+		BRIDGE=$(sed -n -e 's/^bridge=\(br[0-9]\+\).*$/\1/p' "$HOSTAPD_CONF")
+		if [ -n "$BRIDGE" ]; then
+			hostapd_msg verbose "brctl addif $BRIDGE $IFACE"
+			brctl addif $BRIDGE "$IFACE"
+			return "$?"
+		fi
+	fi
+	return 0
+}
+
 case "$MODE" in 
 	start)
 		case "$PHASE" in
 			pre-up)
 				init_hostapd || exit 1
+				setup_bridge || exit 1
 				;;
 			*)
 				hostapd_msg stderr "unknown phase: \"$PHASE\""




More information about the Pkg-wpa-devel mailing list